Last Comment Bug 763899 - mouseenter events should fire top-down
: mouseenter events should fire top-down
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: DOM: Events (show other bugs)
: 10 Branch
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Olli Pettay [:smaug] (TPAC)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 06:31 PDT by Andy Harrison
Modified: 2012-06-24 16:17 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
mouseenter event test (1.36 KB, text/html)
2012-06-12 06:31 PDT, Andy Harrison
no flags Details
patch (4.49 KB, patch)
2012-06-21 15:11 PDT, Olli Pettay [:smaug] (TPAC)
masayuki: review+
Details | Diff | Splinter Review

Description Andy Harrison 2012-06-12 06:31:46 PDT
Created attachment 632228 [details]
mouseenter event test

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0.2) Gecko/20100101 Firefox/10.0.2
Build ID: 20120215223356

Steps to reproduce:

In the attached test page, moved the mouse from the white area directly into the red <div>, which is nested inside a green <div> inside a blue <div>.


Actual results:

The mouseenter events were fired on the <div>s in this order: red, green, blue.


Expected results:

The mouseenter events should be fired on the <div>s in this order: blue, green, red.

This is not specified in the spec (http://www.w3.org/TR/DOM-Level-3-Events/#event-type-mouseenter), but this is how Internet Explorer behaves and it makes much more sense.
Comment 1 Olli Pettay [:smaug] (TPAC) 2012-06-21 15:11:18 PDT
Created attachment 635498 [details] [diff] [review]
patch
Comment 2 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2012-06-21 18:58:23 PDT
Comment on attachment 635498 [details] [diff] [review]
patch

I think D3E should define the order.
Comment 3 Olli Pettay [:smaug] (TPAC) 2012-06-23 05:38:42 PDT
I'll file a spec bug.
Comment 4 Olli Pettay [:smaug] (TPAC) 2012-06-23 09:33:47 PDT
https://hg.mozilla.org/mozilla-central/rev/51541bc07f52
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-06-23 10:14:21 PDT
Andy, can you confirm this is fixed for you now with tomorrow's Nightly (2012-06-24)?
Comment 6 Andy Harrison 2012-06-24 15:51:18 PDT
Where do I go to download the nighly?
Comment 7 Andy Harrison 2012-06-24 16:05:16 PDT
Found it. Confirmed fixed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.